Delete an SMS template
curl --request DELETE \
--url https://api.pocketflows.com/sms_templates/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.pocketflows.com/sms_templates/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.pocketflows.com/sms_templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"message": "<string>",
"estimated_sms_segments": 123,
"estimated_segments": {
"sms": 123,
"mms": 123
},
"image": "<string>",
"shorten_urls": true
}Sms templates
Delete an SMS template
DELETE
/
sms_templates
/
{id}
Delete an SMS template
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the SMS template
Response
200 - application/json
The deleted SMSTemplate object
The ID of the SMS template
The name of the SMS template
The message of the SMS template. Variables are supported via {{ variableName }}
The estimated number of SMS segments
The estimated number of segments of each type. Has keys sms and mms
Show child attributes
Show child attributes
The ID of the image upload
Whether to shorten URLs in the message